using System;
using System.Runtime.CompilerServices;

internal sealed class Delegate635 : MulticastDelegate
{
	public extern void Invoke(ref AsyncVoidMethodBuilder asyncVoidMethodBuilder_0, Exception exception_0);

	public static void smethod_0(ref AsyncVoidMethodBuilder asyncVoidMethodBuilder_0, Exception exception_0, Delegate635 delegate635_1)
	{
		delegate635_1(ref asyncVoidMethodBuilder_0, exception_0);
	}

	public extern Delegate635(object object_0, IntPtr intptr_0);

	static Delegate635()
	{
		Class10.smethod_13(typeof(Delegate635).TypeHandle);
	}

	internal static Delegate635 delegate635_0;
}
